local function OnTooltipSetItem(tooltip, data)
    if tooltip == GameTooltip then
		local _, link = tooltip:GetItem();
		if (link ~= nil) then
			local _, _, _, _, _, sType, sSubType, itemStackCount = GetItemInfo(link);
			if (sSubType == nil) then
				tooltip:AddDoubleLine(itemStackCount .. " per stack", sType, 1, 1, 1, 1, 0.82, 0);
			else
				tooltip:AddDoubleLine(itemStackCount .. " per stack", sType .. " | " .. sSubType, 1, 1, 1, 1, 0.82, 0);
			end
		end
    end
end

TooltipDataProcessor.AddTooltipPostCall(Enum.TooltipDataType.Item, OnTooltipSetItem)
